com.thinkaurelius.titan.graphdb.database.idhandling

## Enum IDHandler.DirectionID

- java.lang.Object
- - java.lang.Enum<IDHandler.DirectionID>
  - - com.thinkaurelius.titan.graphdb.database.idhandling.IDHandler.DirectionID

- All Implemented Interfaces:
    Serializable, Comparable<IDHandler.DirectionID>
  Enclosing class:
    IDHandler

      public static enum IDHandler.DirectionID
      extends Enum<IDHandler.DirectionID>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EDGE_IN_DIR`
    `EDGE_OUT_DIR`
    `PROPERTY_DIR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tinkerpop.blueprints.Direction` | `getDirection()`
    `RelationCategory` | `getRelationCategory()`
    `static IDHandler.DirectionID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IDHandler.DirectionID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROPERTY_DIR

          public static final IDHandler.DirectionID PROPERTY_DIR

    - #### EDGE_OUT_DIR

          public static final IDHandler.DirectionID EDGE_OUT_DIR

    - #### EDGE_IN_DIR

          public static final IDHandler.DirectionID EDGE_IN_DIR

  - ### Method Detail

    - #### values

          public static IDHandler.DirectionID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IDHandler.DirectionID c : IDHandler.DirectionID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IDHandler.DirectionID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getRelationCategory

          public RelationCategory getRelationCategory()

    - #### getDirection

          public com.tinkerpop.blueprints.Direction getDirection()

Copyright © 2012–2014. All rights reserved.